io.vertx.jdbcclient

## Class JDBCConnectOptions

- java.lang.Object
- - io.vertx.ext.sql.SQLOptions
  - - io.vertx.jdbcclient.JDBCConnectOptions

-     public class JDBCConnectOptions
      extends SQLOptions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCConnectOptions()`
    `JDBCConnectOptions(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getConnectTimeout()`
    `String` | `getDatabase()`
    `String` | `getDataSourceImplementation()`
    `int` | `getIdleTimeout()`
    `String` | `getJdbcUrl()`
    `String` | `getPassword()`
    `TracingPolicy` | `getTracingPolicy()`
    `String` | `getUser()`
    `boolean` | `isMetricsEnabled()`
    `JDBCConnectOptions` | `setAutoGeneratedKeys(boolean autoGeneratedKeys)`
    `JDBCConnectOptions` | `setAutoGeneratedKeysIndexes(JsonArray autoGeneratedKeysIndexes)`
    `JDBCConnectOptions` | `setCatalog(String catalog)`
    `JDBCConnectOptions` | `setConnectTimeout(int connectTimeout)`
    `JDBCConnectOptions` | `setDatabase(String database)`
    `JDBCConnectOptions` | `setDataSourceImplementation(String dataSourceImplementation)`
    `JDBCConnectOptions` | `setFetchDirection(FetchDirection fetchDirection)`
    `JDBCConnectOptions` | `setFetchSize(int fetchSize)`
    `JDBCConnectOptions` | `setIdleTimeout(int idleTimeout)`
    `JDBCConnectOptions` | `setJdbcUrl(String jdbcUrl)`
    `JDBCConnectOptions` | `setMaxRows(int maxRows)`
    `JDBCConnectOptions` | `setMetricsEnabled(boolean metricsEnabled)`
    `JDBCConnectOptions` | `setPassword(String password)`
    `JDBCConnectOptions` | `setQueryTimeout(int queryTimeout)`
    `JDBCConnectOptions` | `setReadOnly(boolean readOnly)`
    `JDBCConnectOptions` | `setResultSetConcurrency(ResultSetConcurrency resultSetConcurrency)`
    `JDBCConnectOptions` | `setResultSetType(ResultSetType resultSetType)`
    `JDBCConnectOptions` | `setSchema(String schema)`
    `JDBCConnectOptions` | `setTracingPolicy(TracingPolicy tracingPolicy)` Set the tracing policy for the client behavior when Vert.x has tracing enabled.
    `JDBCConnectOptions` | `setTransactionIsolation(TransactionIsolation transactionIsolation)`
    `JDBCConnectOptions` | `setUser(String user)`
    `JsonObject` | `toJson()`

    - ### Methods inherited from class io.vertx.ext.sql.SQLOptions

      `getAutoGeneratedKeysIndexes, getCatalog, getFetchDirection, getFetchSize, getMaxRows, getQueryTimeout, getResultSetConcurrency, getResultSetType, getSchema, getTransactionIsolation, isAutoGeneratedKeys, isReadOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDBCConnectOptions

          public JDBCConnectOptions()

    - #### JDBCConnectOptions

          public JDBCConnectOptions(JsonObject json)

  - ### Method Detail

    - #### getDataSourceImplementation

          public String getDataSourceImplementation()

    - #### setDataSourceImplementation

          public JDBCConnectOptions setDataSourceImplementation(String dataSourceImplementation)

    - #### isMetricsEnabled

          public boolean isMetricsEnabled()

    - #### setMetricsEnabled

          public JDBCConnectOptions setMetricsEnabled(boolean metricsEnabled)

    - #### getJdbcUrl

          public String getJdbcUrl()

    - #### setJdbcUrl

          public JDBCConnectOptions setJdbcUrl(String jdbcUrl)

    - #### getUser

          public String getUser()

    - #### setUser

          public JDBCConnectOptions setUser(String user)

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public JDBCConnectOptions setPassword(String password)

    - #### getDatabase

          public String getDatabase()

    - #### setDatabase

          public JDBCConnectOptions setDatabase(String database)

    - #### getConnectTimeout

          public int getConnectTimeout()

    - #### setConnectTimeout

          public JDBCConnectOptions setConnectTimeout(int connectTimeout)

    - #### getIdleTimeout

          public int getIdleTimeout()

    - #### setIdleTimeout

          public JDBCConnectOptions setIdleTimeout(int idleTimeout)

    - #### getTracingPolicy

          public TracingPolicy getTracingPolicy()

      Returns:
        the tracing policy

    - #### setTracingPolicy

          public JDBCConnectOptions setTracingPolicy(TracingPolicy tracingPolicy)

      Set the tracing policy for the client behavior when Vert.x has tracing enabled.
      Parameters:
        `tracingPolicy` - the tracing policy
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReadOnly

          public JDBCConnectOptions setReadOnly(boolean readOnly)

      Overrides:
        `setReadOnly` in class `SQLOptions`

    - #### setCatalog

          public JDBCConnectOptions setCatalog(String catalog)

      Overrides:
        `setCatalog` in class `SQLOptions`

    - #### setTransactionIsolation

          public JDBCConnectOptions setTransactionIsolation(TransactionIsolation transactionIsolation)

      Overrides:
        `setTransactionIsolation` in class `SQLOptions`

    - #### setResultSetType

          public JDBCConnectOptions setResultSetType(ResultSetType resultSetType)

      Overrides:
        `setResultSetType` in class `SQLOptions`

    - #### setResultSetConcurrency

          public JDBCConnectOptions setResultSetConcurrency(ResultSetConcurrency resultSetConcurrency)

      Overrides:
        `setResultSetConcurrency` in class `SQLOptions`

    - #### setAutoGeneratedKeys

          public JDBCConnectOptions setAutoGeneratedKeys(boolean autoGeneratedKeys)

      Overrides:
        `setAutoGeneratedKeys` in class `SQLOptions`

    - #### setSchema

          public JDBCConnectOptions setSchema(String schema)

      Overrides:
        `setSchema` in class `SQLOptions`

    - #### setQueryTimeout

          public JDBCConnectOptions setQueryTimeout(int queryTimeout)

      Overrides:
        `setQueryTimeout` in class `SQLOptions`

    - #### setFetchDirection

          public JDBCConnectOptions setFetchDirection(FetchDirection fetchDirection)

      Overrides:
        `setFetchDirection` in class `SQLOptions`

    - #### setFetchSize

          public JDBCConnectOptions setFetchSize(int fetchSize)

      Overrides:
        `setFetchSize` in class `SQLOptions`

    - #### setAutoGeneratedKeysIndexes

          public JDBCConnectOptions setAutoGeneratedKeysIndexes(JsonArray autoGeneratedKeysIndexes)

      Overrides:
        `setAutoGeneratedKeysIndexes` in class `SQLOptions`

    - #### setMaxRows

          public JDBCConnectOptions setMaxRows(int maxRows)

      Overrides:
        `setMaxRows` in class `SQLOptions`

    - #### toJson

          public JsonObject toJson()

Copyright © 2021 Eclipse. All rights reserved.